Subject: bug#42366: UTF8 QR codes vs. emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Aug 2020 17:19:28 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 05 Aug 2020 12:26:55 +0200
> Cc: [email-masked]
> 
> > Compare how
> > $ qrencode -t UTF8 x
> > looks in
> > $ emacs -nw -f shell # vs.
> > $ emacs     -f shell
> >
> > As you can see in the latter it is quite mangled,
> > perhaps beyond machine recognition.
> 
> It's not good in any case, really.  Here's the X version:

Can you send the file itself?

> Note the horizontal lines -- it should be a solid white field.

How do you know that?

> And with -nw it's just a complete mess:

No, it isn't...

> I guess...  it's translating all the Unicode characters instead of just
> letting the terminal render them?  The terminal does have these
> characters; when running the program directly in the shell everything
> works fine.

That's what happens when Emacs thinks your terminal cannot display
these characters.  What does 'terminal-coding-system' return on that
display?

> Does anybody know how to make shell-mode (under -nw) just output the
> characters?

Hmm... shell-mode?  Now I'm beginning to think I don't really
understand what are the steps to reproduce the problem, and what is
their meaning (jidanni needs to learn how to report bugs clearly).
Would you please describe the steps, starting from "emacs -Q"?